// ===============================
// ==== coop2 (hankofficer)

textures/coop2/teleport
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.5
	q3map_surfacelight 100

	cull none 
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.70 0.60 0.00 )
//		tcGen environment 
		tcmod scale .03125 .03125
		tcMod scroll 0.025 0.025 
	} 
	{ 
		map textures/effects/envmap_slate.tga
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.60 0.30 0.60 )
		tcGen environment 
		tcMod scroll 0.1 0.1 
	} 
}
textures/coop2/completedsign
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.5
	q3map_surfacelight 100

	cull none 
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
//		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.10 0.70 0.10 )
//		tcGen environment 
		tcmod scale .03125 .03125
		tcMod scroll 0.025 0.025 
	} 
	{ 
		map textures/effects/envmap_slate.tga
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.00 0.90 0.00 )
		tcGen environment 
		tcMod scroll 0.1 0.1 
	} 
}

// ===============================
// ==== techfunpark (hankofficer)

textures/techfunpark/crystal_blue
{ 
	qer_editorimage textures/techfunpark_ei/crystal_blue.jpg
	qer_trans 0.7
	
	surfaceparm trans
	surfaceparm glass
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 0.50 0.50 0.50 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/techfunpark/crystal.jpg // textures/sfx/construction.tga, textures/common/dirtymirror2.tga
		rgbGen const ( 0.10 0.50 1.00 )
            	blendFunc blend
            	alphaGen const 0.5
            	tcmod scale 0.25 0.25
		tcgen environment
	}
}
textures/techfunpark/crystal_red
{ 
	qer_editorimage textures/techfunpark_ei/crystal_red.jpg
	qer_trans 0.7
	
	surfaceparm trans
	surfaceparm glass
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 0.50 0.50 0.50 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 1.00 0.10 0.20 )
            	blendFunc blend
            	alphaGen const 0.5
            	tcmod scale 0.25 0.25
		tcgen environment
	}
}
textures/techfunpark/crystal_yellow
{ 
	qer_editorimage textures/techfunpark_ei/crystal_yellow.jpg
	qer_trans 0.7
	
	surfaceparm trans
	surfaceparm glass
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 0.50 0.50 0.50 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 1.00 1.00 0.20 )
            	blendFunc blend
            	alphaGen const 0.5
            	tcmod scale 0.25 0.25
		tcgen environment
	}
}
textures/techfunpark/crystal_green
{ 
	qer_editorimage textures/techfunpark_ei/crystal_green.jpg
	qer_trans 0.7
	
	surfaceparm trans
	surfaceparm glass
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 0.50 0.50 0.50 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/techfunpark/crystal.jpg
		rgbGen const ( 0.20 1.00 0.20 )
            	blendFunc blend
            	alphaGen const 0.5
            	tcmod scale 0.25 0.25
		tcgen environment
	}
}
textures/techfunpark/water_blue
{
	nocompress
	qer_editorimage textures/techfunpark/water1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/techfunpark/water1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}
textures/techfunpark/medic
{
	qer_editorimage textures/techfunpark/medic.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/techfunpark/medic.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 1.00 )
 	}
}
textures/techfunpark/medic2
{
	qer_editorimage textures/techfunpark/medic2.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/techfunpark/medic2.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 1.00 )
 	}
}

// ===============================
// ==== cary's shader

textures/space/actionAI_1
{
	qer_editorimage textures/space/screen_square.tga
	{
		map textures/space/radio_scroll2.jpg
		blendfunc blend
		tcmod scroll -0.75 0
		rgbGen wave triangle 1 0.8 0 0.5
	}
	{
		map textures/space/screen_square.tga
		blendfunc blend
		rgbGen identity
	}
}
textures/computerbot/light_m01b_5k
{
	qer_editorimage textures/lights/light_m01b.tga
	q3map_surfacelight 5000
	{
		map textures/lights/light_m01b.tga
		rgbGen identity
	}
}
textures/space/actionAI_2
{
	qer_editorimage textures/space/command5.tga
	{
		map textures/space/light.jpg
		blendfunc blend
		rgbGen wave triangle 1 2 0 0.5
	}
	{
		map textures/space/command5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}
textures/space/e8metal03c_shiney
{
	qer_editorimage textures/evil8_base/e8metal03c.tga
	surfaceparm slick
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/evil8_base/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/space/e8metal_blue_shiney
{
	qer_editorimage textures/evil8_base/e8metal_blue.tga
	surfaceparm slick
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/evil8_base/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/space/e8metal_red_shiney
{
	qer_editorimage textures/evil8_base/e8metal_red.tga
	surfaceparm slick
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/evil8_base/e8metal_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/space/light_c06_blue
{
	qer_editorimage textures/space/light_c06_blue.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/space/light_c06_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/computerbot/CarPowerlightpurpleLaser
{ 
     qer_editorimage textures/sfx/construction.tga
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1 
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.65 0.5 0.80 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625
     } 
}

textures/computerbot/ShieldLaser
{ 
     qer_editorimage textures/sfx/construction.tga
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     { 
          map textures/sfx/construction.tga 
          blendFunc GL_SRC_ALPHA GL_ONE
          rgbGen const ( 0.4 0.4 0.8 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625
     } 
}